Try it · Sandbox

Use a sandbox key. It is kept only for this browser tab and sent only to https://sandbox-api.zester.co.il/v2.

Response
Send the request to see the response.

Events

A change feed of account events that you pull. It uses the same event catalog as webhooks.

The endpoints in this group are not yet available. This page documents the contract as currently defined.

The Event object

Attributes

idstringRequired
typestringRequired
Possible valuespingorder.createdorder.updatedorder.cancelledorder.status_changeddocument.createddocument.updateddocument.receiveddocument.disputeddocument.approved_for_exportexpense.createdexpense.approvedjournal_lines.approved_for_exportinventory_count.completedsupplier.updatedcard_transaction.importedbuyer.linkedprice_list.assignedapi_client.suspendedwebhook.disabled
api_versionstringRequired
Possible values2
occurred_atstring · date-timeRequired
account_idstringRequired
dataobjectRequired

The resource as it was when the event occurred. Always includes object and id.

Show 2 child attributesHide child attributes
objectstringRequired
Possible valuesorderdocumentexpensejournal_linesinventory_countsuppliercard_transactionbuyerprice_listapi_clientwebhookping
idstringRequired
The Event object
{
  "id": "evt_01J9KQ7X4M9C",
  "type": "order.created",
  "api_version": "2",
  "occurred_at": "2026-09-11T08:15:00+03:00",
  "account_id": "72223",
  "data": {
    "object": "order",
    "id": "2335619",
    "number": "71148-80",
    "status": "pending_approval",
    "buyer": {
      "id": "71148",
      "name": "שניצי קפה",
      "customer_number": "777077070"
    },
    "supplier": {
      "id": "72223",
      "name": "מאפייה אחת עשרה"
    },
    "branch": {
      "id": "71148-1",
      "name": "שניצי קפה – ראשי",
      "tax_id": "000000000"
    },
    "purchase_type": null,
    "sent_at": "2026-09-11T08:15:00+03:00",
    "delivery_date": "2026-09-14",
    "delivery_window": {
      "from": "06:00",
      "to": "09:00"
    },
    "currency": "ILS",
    "totals": {
      "before_vat": "496.40",
      "vat": "89.35",
      "with_vat": "585.75"
    },
    "lines": [
      {
        "id": "l1",
        "sku": "300",
        "name": "בייבי ג׳בטה לבן",
        "quantity": "1",
        "unit": "carton",
        "package_quantity": "24",
        "unit_price": "80.00",
        "discount_pct": null,
        "vat_exempt": false,
        "total": "80.00",
        "quantity_confirmed": null,
        "substitute_sku": null
      },
      {
        "id": "l2",
        "sku": "412",
        "name": "לחמניית חיטה מלאה",
        "quantity": "12",
        "unit": "carton",
        "package_quantity": "40",
        "unit_price": "34.70",
        "discount_pct": null,
        "vat_exempt": false,
        "total": "416.40",
        "quantity_confirmed": null,
        "substitute_sku": null
      }
    ],
    "notes": "נא לפרוק ליד דלת השירות, הכניסה מהחניה האחורית.",
    "external_ref": null,
    "acknowledged_at": null,
    "related_document_ids": [],
    "files": [],
    "created_at": "2026-09-11T08:02:31+03:00",
    "updated_at": "2026-09-11T08:15:00+03:00",
    "deleted_at": null
  }
}

List events

GET/events
  • Scopeevents:read
  • Pro plan or higher
  • Not yet available

List events from the change feed in occurred_at order, using the same event catalog as webhooks. Store next_cursor and resume from it on your next call. Events are kept for 30 days on the Pro plan and 90 days on the Enterprise plan.

Query parameters

cursorstring

Opaque cursor returned as next_cursor in a previous response. Pass it to fetch the next page.

limitinteger

Default 50 · Min 1 · Max 200

typearray of string

Comma-separated list of event types.

sincestring · date-time

Point in time the feed starts from when no cursor is given.

Responses

200A page of events.
dataarray of EventRequired
Show 6 child attributesHide child attributes
idstringRequired
typestringRequired
Possible valuespingorder.createdorder.updatedorder.cancelledorder.status_changeddocument.createddocument.updateddocument.receiveddocument.disputeddocument.approved_for_exportexpense.createdexpense.approvedjournal_lines.approved_for_exportinventory_count.completedsupplier.updatedcard_transaction.importedbuyer.linkedprice_list.assignedapi_client.suspendedwebhook.disabled
api_versionstringRequired
Possible values2
occurred_atstring · date-timeRequired
account_idstringRequired
dataobjectRequired

The resource as it was when the event occurred. Always includes object and id.

Show 2 child attributesHide child attributes
objectstringRequired
Possible valuesorderdocumentexpensejournal_linesinventory_countsuppliercard_transactionbuyerprice_listapi_clientwebhookping
idstringRequired
next_cursorstringNullable
has_morebooleanRequired
GET /events
curl "https://sandbox-api.zester.co.il/v2https://api.zester.co.il/v2/events?type=order.created,order.updated,document.received&since=2026-09-11T00:00:00%2B03:00&limit=3" \
  -H "Authorization: Bearer zk_test_XXXXXXXX_…zk_live_XXXXXXXX_…"
Response
{
  "data": [
    {
      "id": "evt_01J9KQ7X4M9C",
      "type": "order.created",
      "api_version": "2",
      "occurred_at": "2026-09-11T08:15:00+03:00",
      "account_id": "72223",
      "data": {
        "object": "order",
        "id": "2335619",
        "number": "71148-80",
        "status": "pending_approval",
        "buyer": {
          "id": "71148",
          "name": "שניצי קפה",
          "customer_number": "777077070"
        },
        "supplier": {
          "id": "72223",
          "name": "מאפייה אחת עשרה"
        },
        "branch": {
          "id": "71148-1",
          "name": "שניצי קפה – ראשי",
          "tax_id": "000000000"
        },
        "purchase_type": null,
        "sent_at": "2026-09-11T08:15:00+03:00",
        "delivery_date": "2026-09-14",
        "delivery_window": {
          "from": "06:00",
          "to": "09:00"
        },
        "currency": "ILS",
        "totals": {
          "before_vat": "496.40",
          "vat": "89.35",
          "with_vat": "585.75"
        },
        "lines": [
          {
            "id": "l1",
            "sku": "300",
            "name": "בייבי ג׳בטה לבן",
            "quantity": "1",
            "unit": "carton",
            "package_quantity": "24",
            "unit_price": "80.00",
            "discount_pct": null,
            "vat_exempt": false,
            "total": "80.00",
            "quantity_confirmed": null,
            "substitute_sku": null
          },
          {
            "id": "l2",
            "sku": "412",
            "name": "לחמניית חיטה מלאה",
            "quantity": "12",
            "unit": "carton",
            "package_quantity": "40",
            "unit_price": "34.70",
            "discount_pct": null,
            "vat_exempt": false,
            "total": "416.40",
            "quantity_confirmed": null,
            "substitute_sku": null
          }
        ],
        "notes": "נא לפרוק ליד דלת השירות, הכניסה מהחניה האחורית.",
        "external_ref": null,
        "acknowledged_at": null,
        "related_document_ids": [],
        "files": [],
        "created_at": "2026-09-11T08:02:31+03:00",
        "updated_at": "2026-09-11T08:15:00+03:00",
        "deleted_at": null
      }
    },
    {
      "id": "evt_01J9KR4D6N2Q",
      "type": "order.updated",
      "api_version": "2",
      "occurred_at": "2026-09-11T09:40:12+03:00",
      "account_id": "72223",
      "data": {
        "object": "order",
        "id": "2335619",
        "number": "71148-80",
        "status": "partially_approved",
        "buyer": {
          "id": "71148",
          "name": "שניצי קפה",
          "customer_number": "777077070"
        },
        "supplier": {
          "id": "72223",
          "name": "מאפייה אחת עשרה"
        },
        "branch": {
          "id": "71148-1",
          "name": "שניצי קפה – ראשי",
          "tax_id": "000000000"
        },
        "purchase_type": null,
        "sent_at": "2026-09-11T08:15:00+03:00",
        "delivery_date": "2026-09-14",
        "delivery_window": {
          "from": "06:00",
          "to": "09:00"
        },
        "currency": "ILS",
        "totals": {
          "before_vat": "496.40",
          "vat": "89.35",
          "with_vat": "585.75"
        },
        "lines": [
          {
            "id": "l1",
            "sku": "300",
            "name": "בייבי ג׳בטה לבן",
            "quantity": "1",
            "unit": "carton",
            "package_quantity": "24",
            "unit_price": "80.00",
            "discount_pct": null,
            "vat_exempt": false,
            "total": "80.00",
            "quantity_confirmed": "1",
            "substitute_sku": null
          },
          {
            "id": "l2",
            "sku": "412",
            "name": "לחמניית חיטה מלאה",
            "quantity": "12",
            "unit": "carton",
            "package_quantity": "40",
            "unit_price": "34.70",
            "discount_pct": null,
            "vat_exempt": false,
            "total": "416.40",
            "quantity_confirmed": "10",
            "substitute_sku": null
          }
        ],
        "notes": "נא לפרוק ליד דלת השירות, הכניסה מהחניה האחורית.",
        "external_ref": null,
        "acknowledged_at": null,
        "related_document_ids": [],
        "files": [],
        "created_at": "2026-09-11T08:02:31+03:00",
        "updated_at": "2026-09-11T09:40:12+03:00",
        "deleted_at": null
      }
    },
    {
      "id": "evt_01J9KS9C1E7H",
      "type": "document.received",
      "api_version": "2",
      "occurred_at": "2026-09-14T09:47:31+03:00",
      "account_id": "72223",
      "data": {
        "object": "document",
        "id": "5520931",
        "type": "delivery_note",
        "number": "4471",
        "date": "2026-09-14",
        "accounting_period": "2026-09",
        "due_date": null,
        "supplier": {
          "id": "72223",
          "name": "מאפייה אחת עשרה"
        },
        "buyer": {
          "id": "71148",
          "name": "שניצי קפה"
        },
        "branch": {
          "id": "71148-1",
          "name": "שניצי קפה – ראשי",
          "tax_id": "000000000"
        },
        "purchase_type": null,
        "source": "purchase",
        "order_ids": [
          "2335619"
        ],
        "currency": "ILS",
        "totals": {
          "before_vat": "496.40",
          "vat": "89.35",
          "with_vat": "585.75",
          "discount": "0.00"
        },
        "allocation_number": null,
        "lines": [
          {
            "id": "5520931-1",
            "sku": "300",
            "name": "בייבי ג׳בטה לבן",
            "quantity": "1",
            "unit": "carton",
            "unit_price": "80.00",
            "discount_pct": null,
            "vat_exempt": false,
            "total": "80.00",
            "order_id": "2335619",
            "order_line_id": "l1",
            "quantity_received": "1",
            "purchase_type": null,
            "expense_account": null
          },
          {
            "id": "5520931-2",
            "sku": "412",
            "name": "לחמניית חיטה מלאה",
            "quantity": "12",
            "unit": "carton",
            "unit_price": "34.70",
            "discount_pct": null,
            "vat_exempt": false,
            "total": "416.40",
            "order_id": "2335619",
            "order_line_id": "l2",
            "quantity_received": "10",
            "purchase_type": null,
            "expense_account": null
          }
        ],
        "buyer_status": "received_with_differences",
        "differences": [
          {
            "line_id": "5520931-2",
            "sku": "412",
            "field": "quantity",
            "issued": "12",
            "received": "10",
            "note": "התקבלו 10 קרטונים מתוך 12"
          }
        ],
        "payment_status": "unpaid",
        "paid_at": null,
        "export_status": "not_ready",
        "exported_at": null,
        "external_ref": "DN-2026-4471",
        "created_at": "2026-09-14T06:12:04+03:00",
        "updated_at": "2026-09-14T09:47:31+03:00",
        "deleted_at": null,
        "files": [
          {
            "id": "file_01J9KQ7X4M",
            "name": "delivery-note-4471.pdf",
            "content_type": "application/pdf",
            "size_bytes": 184213
          }
        ]
      }
    }
  ],
  "next_cursor": "eyJhZnRlciI6ImV2dF8wMUo5S1M5QzFFN0gifQ",
  "has_more": true
}